<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        body{
            margin:0px;
           width:100vw;
        }
        
        #overlay{
            width:100vw;
            height:100vh;
            background-color: lightskyblue;
            position:fixed;
            top:0;
            left:0;
            opacity:60%;
            visibility: hidden; 
            
        }
        #popup{
            min-width:200px;
            max-width:400px;
            background-color: red;
            text-align:center;
            min-height:150px;
            top:50%;
            left:50%;
            transform: translate(-50%,-50%);
            position:fixed;
            padding:10px;
            visibility: hidden;
            border-radius:8px;
            
        }
    </style>
</head>
<body>
    
        Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?
    Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?
    Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?
    Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?
    Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?
    Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?
    Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?
    Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore corrupti ab laudantium facere mollitia delectus magnam tempore debitis repellendus labore laborum sapiente numquam odio dolores praesentium aperiam repudiandae, similique veritatis?
    
    <button id="b1" data-field="popup1  ">
        Button1
    </button>
    <button id="b2" data-field="popup2">
        Button2
    </button>
    <div id="overlay">
        
    </div>
    <div id="popup">
        <h1><u>Alert!!!</u></h1>
        <p id="popup-content"></p>
        
        <button id="b3">
            Close
        </button>
    </div>
    
    
    <script>
        // document.body.addEventListener('scroll',()=>{
        //     let e = document.getElementById("overlay");
        //     console.log("hello");
        //     if(e.style.visibility=='visible')
        //     event.preventDefault();

        // })
        document.getElementById("b1").onclick = ()=>{
            // console.log("hello");
            document.getElementById("popup").style.visibility = "visible"  ;
            let el = document.getElementById("overlay");
            el.style.visibility = "visible";
            // el.style.top = window.pageYOffset +"px";
            // el.style.left = window.pageXOffset +"px";
            document.body.style.overflow = "hidden";
            document.getElementById("popup-content").innerHTML = document.getElementById("b1").getAttribute("data-field");
        }

        document.getElementById("b2").onclick = ()=>{
            document.getElementById("popup").style.visibility = "visible";
            let el = document.getElementById("overlay");
            el.style.visibility = "visible";
            // el.style.top = window.pageYOffset +"px";
            // el.style.left = window.pageXOffset +"px";
            document.body.style.overflow = "hidden";
            document.getElementById("popup-content").innerHTML = document.getElementById("b2").getAttribute("data-field");
        }

        document.getElementById("b3").onclick = ()=>{
            document.getElementById("popup").style.visibility = "hidden";
            document.getElementById("overlay").style.visibility = "hidden";
            document.body.style.overflow = "auto";

            
        }
    </script>
</body>
</html>